.animation {
  margin: 0 auto;
  transform: translate(-50%, -60%);
  top: 50%;
  position: absolute;
  left: 50%;
  width: 100%;
  //transition: .2s ease-out;
  .dot {
    width: 60px;
    height: 60px;
    border-radius: 30px;
    background-color: white;
    display: inline-block;
    position: absolute;
    background-color: #2A5DB0;
  }
  .size-60 {
    width: 60px;
    height: 60px;
  }
  .size-41 {
    width: 41px;
    height: 41px;
  }
  .size-36 {
    width: 36px;
    height: 36px;
  }
  .size-19 {
    width: 19px;
    height: 19px;
  }
  .size-9 {
    width: 9px;
    height: 9px;
  }
  .size-8 {
    width: 8px;
    height: 8px;
  }
  .size-7 {
    width: 7px;
    height: 7px;
  }
  .size-6 {
    width: 6px;
    height: 6px;
  }
  .size-5 {
    width: 5px;
    height: 5px;
  }
  .size-4 {
    width: 4px;
    height: 4px;
  }
  .dot1 {
    transform: translateZ(10px);
    top: 300px;
    left: 170px;
  }
  .dot2 {
    transform: translateZ(20px);
    top: 177px;
    right: 292px;
  }
  .dot3 {
    transform: translateZ(30px);
    top: 300px;
    right: 92px;
  }
  .dot4 {
    transform: translateZ(40px);
    top: 356px;
    left: 93px;
  }
  .dot5 {
    transform: translateZ(50px);
    top: 495px;
    left: 234px;
  }
  .dot6 {
    transform: translateZ(60px);
    top: 207px;
    left: 296px;
  }
  .dot7 {
    transform: translateZ(70px);
    top: 336px;
    right: 336px;
  }
  .dot8 {
    transform: translateZ(80px);
    top: 300px;
    right: 188px;
  }
  .dot9 {
    transform: translateZ(90px);
    top: 433px;
    right: 152px;
  }
  .dot10 {
    transform: translateZ(100px);
    top: 217px;
    left: 134px;
  }
  .dot11 {
    transform: translateZ(10px);
    top: 414px;
    left: 337px;
  }
  .dot12 {
    transform: translateZ(20px);
    top: 270px;
    left: 397px;
  }
  .dot13 {
    transform: translateZ(30px);
    top: 527px;
    right: 165px;
  }
  .dot14 {
    transform: translateZ(40px);
    top: 486px;
    left: 153px;
  }
  .dot15 {
    transform: translateZ(50px);
    top: 200px;
    left: 251px;
  }
  .dot16 {
    transform: translateZ(60px);
    top: 346px;
    left: 292px;
  }
  .dot17 {
    transform: translateZ(70px);
    top: 291px;
    right: 304px;
  }
  .dot18 {
    transform: translateZ(80px);
    top: 418px;
    right: 275px;
  }
  .dot19 {
    transform: translateZ(90px);
    top: 217px;
    right: 228px;
  }
  .dot20 {
    transform: translateZ(100px);
    top: 527px;
    right: 165px;
  }
  .dot21 {
    transform: translateZ(100px);
    top: 515px;
    right: 311px;
  }
  .cam {
    background-color: #E6AE6A;
  }
  .cam-nhac {
    background-color: #C69F82;
  }
  .cam-nhe {
    background-color: #E4D0B5;
  }
  .hong {
    background-color: #B19DC3;
  }
  .xanh {
    background-color: #78B2EC;
  }
  .nau {
    background-color: #93B2CC;
  }
}

//@opacities : 100;
//.dot-loop (@i) when ( @i > 0 ) {
//  .dot(@i) {
//    transform: translateZ(~"@{i}px");
//  }
//  .dot-loop(@i - 10);
//}
//.dot-loop (@opacities);

.op-09 {
  opacity: 0.9;
}
.op-085 {
  opacity: 0.85;
}
.op-08 {
  opacity: 0.8;
}
.op-07 {
  opacity: 0.7;
}
.op-06 {
  opacity: 0.6;
}
.op-05 {
  opacity: 0.5;
}

.step2 {
  .wrap {
    width: 350px;
    height: 270px;
    transform: translate(-50%, -50%);
    top: 50%;
    position: absolute;
    left: 50%;
    .animation {
      min-height: inherit;
      .lv {
        text-align: center;
        .dot {
          background-color: #2C83DB;
          width: 30px;
          height: 30px;
          position: static;
          margin: 4px 25px;
        }
      }
    }
  }
}
.step3 {
  .animation {
    min-height: inherit;
    padding: 0 30px;
    .circle-wrap {
      transform: translate(-50%, -50%);
      top: 44%;
      position: absolute;
      left: 50%;
      #circle {
        width: 370px;
        height: 370px;
        margin: 200px auto;
        position: relative;
        animation: spin 10s linear infinite;
        .item {
          width: 34px;
          height: 34px;
          line-height: 30px;
          text-align: center;
          border-radius: 50%;
          position: absolute;
          background: #2C83DB;
          animation: spin 10s linear infinite reverse;
        }
      }
    }

  }
}